import { RowDataPacket } from "mysql2";
import { promisePool } from "@/backend/db";

export async function getPost(slug: string): Promise<string> {
    try {
        const [rows, fields] = await promisePool.query<RowDataPacket[]>(
            'select content from post where slug = ?', [slug])
        return rows[0]['content']
    } catch (e) {
        console.log(e)
        throw e
    }
}